## linuxmuster-webui7 1.0.156-1

=== Makefile ===
## Flag for custom config file
CONFIGFILE := ''

all: build

bower:
	ajenti-dev-multitool --bower install

build:
	ajenti-dev-multitool --msgfmt
	ajenti-dev-multitool --build

run:
	/usr/local/bin/ajenti-panel -v --autologin --stock-plugins --plugins usr/lib/linuxmuster-webui/plugins $(CONFIGFILE)

rundev:
	/usr/local/bin/ajenti-panel -v --autologin --stock-plugins --plugins usr/lib/linuxmuster-webui/plugins --dev $(CONFIGFILE)

rundevlogin:
	/usr/local/bin/ajenti-panel -v --stock-plugins --plugins usr/lib/linuxmuster-webui/plugins --dev $(CONFIGFILE)

runprod:
	/usr/local/bin/ajenti-panel --stock-plugins --plugins usr/lib/linuxmuster-webui/plugins $(CONFIGFILE)

push-crowdin:
	ajenti-dev-multitool --xgettext
	ajenti-dev-multitool --push-crowdin

pull-crowdin:
	ajenti-dev-multitool --pull-crowdin
	ajenti-dev-multitool --msgfmt

##################################################
## Will be later activated
# test:
# 	cd e2e && ./run
#
# webdriver:
# 	cd e2e && node_modules/protractor/bin/webdriver-manager start
#
# webdriver-update:
# 	cd e2e && node_modules/protractor/bin/webdriver-manager update
#
# karma:
# 	cd tests-karma && node_modules/karma/bin/karma start karma.conf.coffee --no-single-run --auto-watch
#
# nose:
# 	cd tests-nose && nosetests tests/

=== usr/lib/linuxmuster-webui/etc/requirements.txt ===
aj==2.1.36
ajenti-panel==2.1.36
ajenti.plugin.ace==0.28
ajenti.plugin.auth-users==0.30
ajenti.plugin.core==0.96
ajenti.plugin.dashboard==0.38
ajenti.plugin.filesystem==0.45
ajenti.plugin.passwd==0.23
ajenti.plugin.plugins==0.46
ajenti.plugin.settings==0.28
#ajenti.plugin.session-list==0.2
gevent==1.3.7
unicodecsv==0.14.1
configparser==3.5.0
dpath==1.4.2         # used for getSophomorixValue
python-magic==0.4.15 # used to determine encoding in linbo files and csv uploads
scrypt
python-ldap
simplejson==3.17.0

=== debian/changelog ===
linuxmuster-webui7 (1.0.156-1) lmn7; urgency=medium 

  * Current snapshot build 3eaf58e3bf9acd336d315511d9ef5ec0f2dfe528
   *     better postinst fix

 -- Andreas Till <andreas.till@netzint.de> Tue Dec  8 19:06:31 CET 2020

linuxmuster-webui7 (1.0.155-1) lmn7; urgency=medium 

  * Current snapshot build 66422b02d79a6a569eec445006396380f10d20cc
   *     fixed postinst before samba installation

 -- Andreas Till <andreas.till@netzint.de> Tue Dec  8 18:39:35 CET 2020

linuxmuster-webui7 (1.0.154-1) lmn7; urgency=medium~

  * Current snapshot build b67e18ac87b21783adf9861b5445a3ac347cb7a7
   *     Updated Changelog due to new package

 -- Andreas Till <andreas.till@netzint.de> Tue Dec  8 18:34:11 CET 2020

linuxmuster-webui7 (1.0.153-1) lmn7; urgency=medium 

  * Current snapshot build 2807d5c582c927d84ed76f411fcccd0d2d52b887
   *     check if workgroup variable is empty before setting rights

 -- Andreas Till <andreas.till@netzint.de> Tue Dec  8 17:41:59 CET 2020

linuxmuster-webui7 (1.0.152-1) lmn7; urgency=medium 

  * Current snapshot build b2c2df5d75a6964a7f3ad4ebdac0a160681aa2da
   *     workaround for transfer sessionsubdolfer whole session

 -- Andreas Till <andreas.till@netzint.de> Mon Dec  7 13:49:21 CET 2020

linuxmuster-webui7 (1.0.151-1) lmn7; urgency=medium 

  * Current snapshot build 3e0e2c3010ba6ea6d957e95da271016552842510
   *     temporary fix for 147

 -- Andreas Till <andreas.till@netzint.de> Sun Dec  6 16:15:00 CET 2020

linuxmuster-webui7 (1.0.150-1) lmn7; urgency=medium

   * Fix filter properties to search for.

 -- Andreas Till <andreas.till@netzint.de>  Sun, 06 Dec 2020 16:13:32 +0100

linuxmuster-webui7 (1.0.149-1) lmn7; urgency=medium

  * Current snapshot build e10a5bdbab262d5823ae441025bc468415c31e99
   *     Fix filter properties to search for.

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Mon, 26 Oct 2020 17:54:16 +0100

linuxmuster-webui7 (1.0.148-1) lmn7; urgency=medium 

  * Current snapshot build d16a5060d5e783f0ba8b77a3fcfd1f2b342693b1
   *     Add marker to show which template is used.

 -- Andreas Till <andreas.till@netzint.de> Thu Jul  9 09:09:09 CEST 2020

linuxmuster-webui7 (1.0.147-1) lmn7; urgency=medium 

  * Current snapshot build f80a31400ad4128a8c90f68846440f4a13a43ad2
   *     added dependencie for sophomorix-samba version

 -- Andreas Till <andreas.till@netzint.de> Thu Jul  2 15:26:04 CEST 2020

linuxmuster-webui7 (1.0.146-1) lmn7; urgency=medium 

  * Current snapshot build fe36fddfe2373bfb1df36c135b06ad6d5cd3c6f7
   *     Handle empty config files.

 -- Andreas Till <andreas.till@netzint.de> Thu Jul  2 14:57:27 CEST 2020

linuxmuster-webui7 (1.0.145-1) lmn7; urgency=medium 

  * Current snapshot build 6ba624c7ddc91670a524ddd320e825660469a526
   *     Merge branch 'testing' into release

 -- Andreas Till <andreas.till@netzint.de> Thu Jul  2 12:22:25 CEST 2020

linuxmuster-webui7 (1.0.144-1) lmn7-testing; urgency=medium

  * Current snapshot build 89d7cbc1185b5bef0834b25f761cb3a11c82e4a0
   *     LMNFile also for user management.

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Tue, 30 Jun 2020 09:01:27 +0200

linuxmuster-webui7 (1.0.143-1) lmn7-testing; urgency=medium 

  * Current snapshot build ff3a123914595b61206a55b954e994c58afbebea
   *     Merge branch 'sessionTransferPath' into testing

 -- Andreas Till <andreas.till@netzint.de> Wed May 27 15:51:31 CEST 2020

linuxmuster-webui7 (1.0.142-1) lmn7; urgency=medium 

  * Current snapshot build 79f22e2646abeb62e16a0c29279aa51bcd656b94
   *     revert auth login mistake

 -- Andreas Till <andreas.till@netzint.de> Thu May  7 10:38:48 CEST 2020

linuxmuster-webui7 (1.0.141-1) lmn7; urgency=medium 

  * Current snapshot build 288a5969e9ec8f0ab1c01c41a0b8e2ca9dd3cc5f
   *     Fix #133.

 -- Andreas Till <andreas.till@netzint.de> Thu May  7 09:14:59 CEST 2020

linuxmuster-webui7 (1.0.140-1) lmn7; urgency=medium 

  * Current snapshot build df4b9a499edbdf17b2e783979058e49f5ef7c0b9
   *     Temporary fix for linbo icon download.

 -- Andreas Till <andreas.till@netzint.de> Wed Apr 22 16:26:21 CEST 2020

linuxmuster-webui7 (1.0.139-1) lmn7; urgency=medium 

  * Current snapshot build 782e871d0f3de28749eb00b939e55d3b570c8f89
   * 

 -- Andreas Till <andreas.till@netzint.de> Fri Apr 17 12:25:23 CEST 2020

linuxmuster-webui7 (1.0.138-1) lmn7; urgency=medium 

  * Current snapshot build 782e871d0f3de28749eb00b939e55d3b570c8f89
   * 

 -- Andreas Till <andreas.till@netzint.de> Fri Apr 17 12:23:44 CEST 2020

linuxmuster-webui7 (1.0.137-1) lmn7-testing; urgency=medium 

  * Current snapshot build f6d11bc00b411ba44ec14035175743852c62a1cc
   * 

 -- Andreas Till <andreas.till@netzint.de> Fri Apr 17 10:26:30 CEST 2020

linuxmuster-webui7 (1.0.136-1) lmn7-testing; urgency=medium 

  * Current snapshot build da7b644a131a055c9734f279f8f7b244b690cebb
   * 

 -- Andreas Till <andreas.till@netzint.de> Thu Apr 16 18:27:22 CEST 2020

linuxmuster-webui7 (1.0.135-1) lmn7-testing; urgency=medium 

  * Current snapshot build 18b0d2413ea3094585622181b695a50e5fc842c3
   *     Case root login or no netbios domain.

 -- Andreas Till <andreas.till@netzint.de> Thu Apr 16 08:27:29 CEST 2020

linuxmuster-webui7 (1.0.134-1) lmn7-testing; urgency=medium 

  * Current snapshot build 5da7dbb70130178ba55ab0f30f557236293338bc
   * 

 -- Andreas Till <andreas.till@netzint.de> Wed Apr 15 11:47:36 CEST 2020

linuxmuster-webui7 (1.0.133-1) lmn7-testing; urgency=medium 

  * Current snapshot build 5da7dbb70130178ba55ab0f30f557236293338bc
   * 

 -- Andreas Till <andreas.till@netzint.de> Wed Apr 15 11:47:17 CEST 2020

linuxmuster-webui7 (1.0.132-1) lmn7-testing; urgency=medium 

  * Current snapshot build 9b6ceac7dcb4837a2f63a91efe4a7fc06ffe7da9
   *     Quick fix for recursive groups.

 -- Andreas Till <andreas.till@netzint.de> Wed Apr 15 09:01:36 CEST 2020

linuxmuster-webui7 (1.0.131-1) lmn7-testing; urgency=medium 

  * Current snapshot build 325a6bc20ee8b780112aa06ffda6fb4f6c88ca90
   *     Disable elevate button for sudo.



=== debian/control ===
Source: linuxmuster-webui7
Section: admin
Priority: optional
Maintainer: Andreas Till <andreas.till@netzint.de>
Build-Depends: debhelper (>= 4.0.0), fakeroot

Package: linuxmuster-webui7
Architecture: all
Depends: python3-pip, python3-dev, python3-lxml, libffi-dev, libssl-dev, libjpeg-dev, libpng-dev, uuid-dev, python3-dbus, python3-augeas, python3-apt, ntpdate, libldap2-dev, libsasl2-dev, python3-ldap, sophomorix-samba (>=3.80.0-1)
Homepage: www.linuxmuster.net
Description: next generation web-based management tool for linuxmuster.net v7.x

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#	INSTALL_PROGRAM += -s
#endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	#$(MAKE)

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.

	touch build-indep-stamp

build: build-arch build-indep

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package.
	dh_install
	# fixing default not being installed
	mkdir -p debian/linuxmuster-webui7
	cp -r lib debian/linuxmuster-webui7
	rsync -avr --exclude='usr/lib/linuxmuster-webui/plugins/ni_*' --exclude='usr/lib/linuxmuster-webui/etc/.installed' usr debian/linuxmuster-webui7
#	cp -r usr debian/linuxmuster-webui7

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdebconf
	dh_installdocs
#	dh_installexamples -i
#	dh_installmenu -i
	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl -i
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure clean1
